# algorithms.diagnostics.tsdiffplot

## Module: `algorithms.diagnostics.tsdiffplot`

plot tsdiffana parameters

## Functions

nipy.algorithms.diagnostics.tsdiffplot.plot_tsdiffs(results, axes=None)

  Plotting routine for time series difference metrics

  Requires matplotlib

  Parameters:
    results dict

      Results of format returned from `nipy.algorithms.diagnostics.time_slice_diff()`

nipy.algorithms.diagnostics.tsdiffplot.plot_tsdiffs_image(img, axes=None, show=True)

  Plot time series diagnostics for image

  This function is deprecated; please use something like:

      results = time_slice_diff_image(img, slice_axis=2)
      plot_tsdiffs(results)

  instead.

  Parameters:
    img image-like or filename str

      image on which to do diagnostics

    axes None or sequence, optional

      Axes on which to plot the diagnostics. If None, then we create a figure and subplots for the plots. Sequence should have length >=4.

    show{True, False}, optional

      If True, show the figure after plotting it

  Returns:
    axes Matplotlib axes

      Axes on which we have done the plots. Will be same as axes input if axes input was not None